/* contacts-chunk-filter.c generated by valac 0.56.13, the Vala compiler
 * generated from contacts-chunk-filter.vala, do not modify */

/*
 * Copyright (C) 2022 Niels De Graef <nielsdegraef@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "contacts.h"
#include <gtk/gtk.h>
#include <glib-object.h>
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include "contactscore.h"
#include <folks/folks.h>

enum  {
	CONTACTS_CHUNK_FILTER_0_PROPERTY,
	CONTACTS_CHUNK_FILTER_PROPERTY_FILTER_PROPERTY,
	CONTACTS_CHUNK_FILTER_ALLOW_EMPTY_PROPERTY,
	CONTACTS_CHUNK_FILTER_PERSONA_FILTER_PROPERTY,
	CONTACTS_CHUNK_FILTER_NUM_PROPERTIES
};
static GParamSpec* contacts_chunk_filter_properties[CONTACTS_CHUNK_FILTER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _ContactsChunkFilterPrivate {
	ContactsChunkPropertyFilter* _property_filter;
	ContactsChunkEmptyFilter* empty_filter;
	ContactsPersonaFilter* _persona_filter;
};

static gint ContactsChunkFilter_private_offset;
static gpointer contacts_chunk_filter_parent_class = NULL;

static gboolean contacts_chunk_filter_real_match (GtkFilter* base,
                                           GObject* item);
static gboolean contacts_chunk_filter_match_property_name (ContactsChunkFilter* self,
                                                    ContactsChunk* chunk);
static gboolean contacts_chunk_filter_match_persona (ContactsChunkFilter* self,
                                              ContactsChunk* chunk);
static GtkFilterMatch contacts_chunk_filter_real_get_strictness (GtkFilter* base);
static void contacts_chunk_filter_finalize (GObject * obj);
static GType contacts_chunk_filter_get_type_once (void);
static void _vala_contacts_chunk_filter_get_property (GObject * object,
                                               guint property_id,
                                               GValue * value,
                                               GParamSpec * pspec);
static void _vala_contacts_chunk_filter_set_property (GObject * object,
                                               guint property_id,
                                               const GValue * value,
                                               GParamSpec * pspec);

static inline gpointer
contacts_chunk_filter_get_instance_private (ContactsChunkFilter* self)
{
	return G_STRUCT_MEMBER_P (self, ContactsChunkFilter_private_offset);
}

/**
   * Creates a ChunkFilter for a specific property
   */
ContactsChunkFilter*
contacts_chunk_filter_construct_for_property (GType object_type,
                                              const gchar* property_name,
                                              gboolean allow_empty)
{
	ContactsChunkFilter * self = NULL;
	ContactsChunkPropertyFilter* _tmp0_;
	ContactsChunkPropertyFilter* _tmp1_;
#line 41 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (property_name != NULL, NULL);
#line 42 "../src/contacts-chunk-filter.vala"
	_tmp0_ = contacts_chunk_property_filter_new_for_single (property_name);
#line 42 "../src/contacts-chunk-filter.vala"
	_tmp1_ = _tmp0_;
#line 42 "../src/contacts-chunk-filter.vala"
	self = (ContactsChunkFilter*) g_object_new (object_type, "property-filter", _tmp1_, "allow-empty", allow_empty, NULL);
#line 42 "../src/contacts-chunk-filter.vala"
	_g_object_unref0 (_tmp1_);
#line 41 "../src/contacts-chunk-filter.vala"
	return self;
#line 97 "contacts-chunk-filter.c"
}

ContactsChunkFilter*
contacts_chunk_filter_new_for_property (const gchar* property_name,
                                        gboolean allow_empty)
{
#line 41 "../src/contacts-chunk-filter.vala"
	return contacts_chunk_filter_construct_for_property (CONTACTS_TYPE_CHUNK_FILTER, property_name, allow_empty);
#line 106 "contacts-chunk-filter.c"
}

static gboolean
contacts_chunk_filter_real_match (GtkFilter* base,
                                  GObject* item)
{
	ContactsChunkFilter * self;
	ContactsChunk* chunk = NULL;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	ContactsChunk* _tmp2_;
	gboolean result;
#line 46 "../src/contacts-chunk-filter.vala"
	self = (ContactsChunkFilter*) base;
#line 47 "../src/contacts-chunk-filter.vala"
	chunk = G_TYPE_CHECK_INSTANCE_CAST (item, CONTACTS_TYPE_CHUNK, ContactsChunk);
#line 49 "../src/contacts-chunk-filter.vala"
	_tmp2_ = chunk;
#line 49 "../src/contacts-chunk-filter.vala"
	if (contacts_chunk_filter_match_property_name (self, _tmp2_)) {
#line 127 "contacts-chunk-filter.c"
		ContactsChunkEmptyFilter* _tmp3_;
		ContactsChunk* _tmp4_;
#line 50 "../src/contacts-chunk-filter.vala"
		_tmp3_ = self->priv->empty_filter;
#line 50 "../src/contacts-chunk-filter.vala"
		_tmp4_ = chunk;
#line 50 "../src/contacts-chunk-filter.vala"
		_tmp1_ = gtk_filter_match ((GtkFilter*) _tmp3_, (GObject*) _tmp4_);
#line 136 "contacts-chunk-filter.c"
	} else {
#line 49 "../src/contacts-chunk-filter.vala"
		_tmp1_ = FALSE;
#line 140 "contacts-chunk-filter.c"
	}
#line 49 "../src/contacts-chunk-filter.vala"
	if (_tmp1_) {
#line 144 "contacts-chunk-filter.c"
		ContactsChunk* _tmp5_;
#line 51 "../src/contacts-chunk-filter.vala"
		_tmp5_ = chunk;
#line 51 "../src/contacts-chunk-filter.vala"
		_tmp0_ = contacts_chunk_filter_match_persona (self, _tmp5_);
#line 150 "contacts-chunk-filter.c"
	} else {
#line 49 "../src/contacts-chunk-filter.vala"
		_tmp0_ = FALSE;
#line 154 "contacts-chunk-filter.c"
	}
#line 49 "../src/contacts-chunk-filter.vala"
	result = _tmp0_;
#line 49 "../src/contacts-chunk-filter.vala"
	return result;
#line 160 "contacts-chunk-filter.c"
}

static gboolean
contacts_chunk_filter_match_property_name (ContactsChunkFilter* self,
                                           ContactsChunk* chunk)
{
	gboolean _tmp0_ = FALSE;
	ContactsChunkPropertyFilter* _tmp1_;
	gboolean result;
#line 54 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 54 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (chunk != NULL, FALSE);
#line 55 "../src/contacts-chunk-filter.vala"
	_tmp1_ = self->priv->_property_filter;
#line 55 "../src/contacts-chunk-filter.vala"
	if (_tmp1_ == NULL) {
#line 55 "../src/contacts-chunk-filter.vala"
		_tmp0_ = TRUE;
#line 180 "contacts-chunk-filter.c"
	} else {
		ContactsChunkPropertyFilter* _tmp2_;
#line 55 "../src/contacts-chunk-filter.vala"
		_tmp2_ = self->priv->_property_filter;
#line 55 "../src/contacts-chunk-filter.vala"
		_tmp0_ = gtk_filter_match ((GtkFilter*) _tmp2_, (GObject*) chunk);
#line 187 "contacts-chunk-filter.c"
	}
#line 55 "../src/contacts-chunk-filter.vala"
	result = _tmp0_;
#line 55 "../src/contacts-chunk-filter.vala"
	return result;
#line 193 "contacts-chunk-filter.c"
}

static gboolean
contacts_chunk_filter_match_persona (ContactsChunkFilter* self,
                                     ContactsChunk* chunk)
{
	ContactsPersonaFilter* _tmp0_;
	gboolean _tmp1_ = FALSE;
	FolksPersona* _tmp2_;
	FolksPersona* _tmp3_;
	gboolean result;
#line 58 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 58 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (chunk != NULL, FALSE);
#line 59 "../src/contacts-chunk-filter.vala"
	_tmp0_ = self->priv->_persona_filter;
#line 59 "../src/contacts-chunk-filter.vala"
	if (_tmp0_ == NULL) {
#line 60 "../src/contacts-chunk-filter.vala"
		result = TRUE;
#line 60 "../src/contacts-chunk-filter.vala"
		return result;
#line 217 "contacts-chunk-filter.c"
	}
#line 62 "../src/contacts-chunk-filter.vala"
	_tmp2_ = contacts_chunk_get_persona (chunk);
#line 62 "../src/contacts-chunk-filter.vala"
	_tmp3_ = _tmp2_;
#line 62 "../src/contacts-chunk-filter.vala"
	if (_tmp3_ == NULL) {
#line 62 "../src/contacts-chunk-filter.vala"
		_tmp1_ = TRUE;
#line 227 "contacts-chunk-filter.c"
	} else {
		ContactsPersonaFilter* _tmp4_;
		FolksPersona* _tmp5_;
		FolksPersona* _tmp6_;
#line 62 "../src/contacts-chunk-filter.vala"
		_tmp4_ = self->priv->_persona_filter;
#line 62 "../src/contacts-chunk-filter.vala"
		_tmp5_ = contacts_chunk_get_persona (chunk);
#line 62 "../src/contacts-chunk-filter.vala"
		_tmp6_ = _tmp5_;
#line 62 "../src/contacts-chunk-filter.vala"
		_tmp1_ = gtk_filter_match ((GtkFilter*) _tmp4_, (GObject*) _tmp6_);
#line 240 "contacts-chunk-filter.c"
	}
#line 62 "../src/contacts-chunk-filter.vala"
	result = _tmp1_;
#line 62 "../src/contacts-chunk-filter.vala"
	return result;
#line 246 "contacts-chunk-filter.c"
}

static GtkFilterMatch
contacts_chunk_filter_real_get_strictness (GtkFilter* base)
{
	ContactsChunkFilter * self;
	GtkFilterMatch result;
#line 65 "../src/contacts-chunk-filter.vala"
	self = (ContactsChunkFilter*) base;
#line 66 "../src/contacts-chunk-filter.vala"
	result = GTK_FILTER_MATCH_SOME;
#line 66 "../src/contacts-chunk-filter.vala"
	return result;
#line 260 "contacts-chunk-filter.c"
}

ContactsChunkFilter*
contacts_chunk_filter_construct (GType object_type)
{
	ContactsChunkFilter * self = NULL;
#line 24 "../src/contacts-chunk-filter.vala"
	self = (ContactsChunkFilter*) g_object_new (object_type, NULL);
#line 24 "../src/contacts-chunk-filter.vala"
	return self;
#line 271 "contacts-chunk-filter.c"
}

ContactsChunkFilter*
contacts_chunk_filter_new (void)
{
#line 24 "../src/contacts-chunk-filter.vala"
	return contacts_chunk_filter_construct (CONTACTS_TYPE_CHUNK_FILTER);
#line 279 "contacts-chunk-filter.c"
}

ContactsChunkPropertyFilter*
contacts_chunk_filter_get_property_filter (ContactsChunkFilter* self)
{
	ContactsChunkPropertyFilter* result;
	ContactsChunkPropertyFilter* _tmp0_;
#line 26 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "../src/contacts-chunk-filter.vala"
	_tmp0_ = self->priv->_property_filter;
#line 26 "../src/contacts-chunk-filter.vala"
	result = _tmp0_;
#line 26 "../src/contacts-chunk-filter.vala"
	return result;
#line 295 "contacts-chunk-filter.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 26 "../src/contacts-chunk-filter.vala"
	return self ? g_object_ref (self) : NULL;
#line 303 "contacts-chunk-filter.c"
}

void
contacts_chunk_filter_set_property_filter (ContactsChunkFilter* self,
                                           ContactsChunkPropertyFilter* value)
{
	ContactsChunkPropertyFilter* old_value;
#line 26 "../src/contacts-chunk-filter.vala"
	g_return_if_fail (self != NULL);
#line 26 "../src/contacts-chunk-filter.vala"
	old_value = contacts_chunk_filter_get_property_filter (self);
#line 26 "../src/contacts-chunk-filter.vala"
	if (old_value != value) {
#line 317 "contacts-chunk-filter.c"
		ContactsChunkPropertyFilter* _tmp0_;
#line 26 "../src/contacts-chunk-filter.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 26 "../src/contacts-chunk-filter.vala"
		_g_object_unref0 (self->priv->_property_filter);
#line 26 "../src/contacts-chunk-filter.vala"
		self->priv->_property_filter = _tmp0_;
#line 26 "../src/contacts-chunk-filter.vala"
		g_object_notify_by_pspec ((GObject *) self, contacts_chunk_filter_properties[CONTACTS_CHUNK_FILTER_PROPERTY_FILTER_PROPERTY]);
#line 327 "contacts-chunk-filter.c"
	}
}

gboolean
contacts_chunk_filter_get_allow_empty (ContactsChunkFilter* self)
{
	gboolean result;
	ContactsChunkEmptyFilter* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 30 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 30 "../src/contacts-chunk-filter.vala"
	_tmp0_ = self->priv->empty_filter;
#line 30 "../src/contacts-chunk-filter.vala"
	_tmp1_ = contacts_chunk_empty_filter_get_allow_empty (_tmp0_);
#line 30 "../src/contacts-chunk-filter.vala"
	_tmp2_ = _tmp1_;
#line 30 "../src/contacts-chunk-filter.vala"
	result = _tmp2_;
#line 30 "../src/contacts-chunk-filter.vala"
	return result;
#line 350 "contacts-chunk-filter.c"
}

void
contacts_chunk_filter_set_allow_empty (ContactsChunkFilter* self,
                                       gboolean value)
{
	ContactsChunkEmptyFilter* _tmp0_;
#line 31 "../src/contacts-chunk-filter.vala"
	g_return_if_fail (self != NULL);
#line 31 "../src/contacts-chunk-filter.vala"
	_tmp0_ = self->priv->empty_filter;
#line 31 "../src/contacts-chunk-filter.vala"
	contacts_chunk_empty_filter_set_allow_empty (_tmp0_, value);
#line 31 "../src/contacts-chunk-filter.vala"
	g_object_notify_by_pspec ((GObject *) self, contacts_chunk_filter_properties[CONTACTS_CHUNK_FILTER_ALLOW_EMPTY_PROPERTY]);
#line 366 "contacts-chunk-filter.c"
}

ContactsPersonaFilter*
contacts_chunk_filter_get_persona_filter (ContactsChunkFilter* self)
{
	ContactsPersonaFilter* result;
	ContactsPersonaFilter* _tmp0_;
#line 36 "../src/contacts-chunk-filter.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 36 "../src/contacts-chunk-filter.vala"
	_tmp0_ = self->priv->_persona_filter;
#line 36 "../src/contacts-chunk-filter.vala"
	result = _tmp0_;
#line 36 "../src/contacts-chunk-filter.vala"
	return result;
#line 382 "contacts-chunk-filter.c"
}

void
contacts_chunk_filter_set_persona_filter (ContactsChunkFilter* self,
                                          ContactsPersonaFilter* value)
{
	ContactsPersonaFilter* old_value;
#line 36 "../src/contacts-chunk-filter.vala"
	g_return_if_fail (self != NULL);
#line 36 "../src/contacts-chunk-filter.vala"
	old_value = contacts_chunk_filter_get_persona_filter (self);
#line 36 "../src/contacts-chunk-filter.vala"
	if (old_value != value) {
#line 396 "contacts-chunk-filter.c"
		ContactsPersonaFilter* _tmp0_;
#line 36 "../src/contacts-chunk-filter.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 36 "../src/contacts-chunk-filter.vala"
		_g_object_unref0 (self->priv->_persona_filter);
#line 36 "../src/contacts-chunk-filter.vala"
		self->priv->_persona_filter = _tmp0_;
#line 36 "../src/contacts-chunk-filter.vala"
		g_object_notify_by_pspec ((GObject *) self, contacts_chunk_filter_properties[CONTACTS_CHUNK_FILTER_PERSONA_FILTER_PROPERTY]);
#line 406 "contacts-chunk-filter.c"
	}
}

static void
contacts_chunk_filter_class_init (ContactsChunkFilterClass * klass,
                                  gpointer klass_data)
{
#line 24 "../src/contacts-chunk-filter.vala"
	contacts_chunk_filter_parent_class = g_type_class_peek_parent (klass);
#line 24 "../src/contacts-chunk-filter.vala"
	g_type_class_adjust_private_offset (klass, &ContactsChunkFilter_private_offset);
#line 24 "../src/contacts-chunk-filter.vala"
	((GtkFilterClass *) klass)->match = (gboolean (*) (GtkFilter*, GObject*)) contacts_chunk_filter_real_match;
#line 24 "../src/contacts-chunk-filter.vala"
	((GtkFilterClass *) klass)->get_strictness = (GtkFilterMatch (*) (GtkFilter*)) contacts_chunk_filter_real_get_strictness;
#line 24 "../src/contacts-chunk-filter.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_contacts_chunk_filter_get_property;
#line 24 "../src/contacts-chunk-filter.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_contacts_chunk_filter_set_property;
#line 24 "../src/contacts-chunk-filter.vala"
	G_OBJECT_CLASS (klass)->finalize = contacts_chunk_filter_finalize;
#line 24 "../src/contacts-chunk-filter.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), CONTACTS_CHUNK_FILTER_PROPERTY_FILTER_PROPERTY, contacts_chunk_filter_properties[CONTACTS_CHUNK_FILTER_PROPERTY_FILTER_PROPERTY] = g_param_spec_object ("property-filter", "property-filter", "property-filter", CONTACTS_TYPE_CHUNK_PROPERTY_FILTER, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 430 "contacts-chunk-filter.c"
	/** Whether empty chunks match the filter */
#line 24 "../src/contacts-chunk-filter.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), CONTACTS_CHUNK_FILTER_ALLOW_EMPTY_PROPERTY, contacts_chunk_filter_properties[CONTACTS_CHUNK_FILTER_ALLOW_EMPTY_PROPERTY] = g_param_spec_boolean ("allow-empty", "allow-empty", "allow-empty", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 434 "contacts-chunk-filter.c"
	/** A subfilter that can be used to match the persona of each chunk */
#line 24 "../src/contacts-chunk-filter.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), CONTACTS_CHUNK_FILTER_PERSONA_FILTER_PROPERTY, contacts_chunk_filter_properties[CONTACTS_CHUNK_FILTER_PERSONA_FILTER_PROPERTY] = g_param_spec_object ("persona-filter", "persona-filter", "persona-filter", CONTACTS_TYPE_PERSONA_FILTER, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 438 "contacts-chunk-filter.c"
}

static void
contacts_chunk_filter_instance_init (ContactsChunkFilter * self,
                                     gpointer klass)
{
	ContactsChunkEmptyFilter* _tmp0_;
#line 24 "../src/contacts-chunk-filter.vala"
	self->priv = contacts_chunk_filter_get_instance_private (self);
#line 26 "../src/contacts-chunk-filter.vala"
	self->priv->_property_filter = NULL;
#line 33 "../src/contacts-chunk-filter.vala"
	_tmp0_ = contacts_chunk_empty_filter_new ();
#line 33 "../src/contacts-chunk-filter.vala"
	self->priv->empty_filter = _tmp0_;
#line 36 "../src/contacts-chunk-filter.vala"
	self->priv->_persona_filter = NULL;
#line 456 "contacts-chunk-filter.c"
}

static void
contacts_chunk_filter_finalize (GObject * obj)
{
	ContactsChunkFilter * self;
#line 24 "../src/contacts-chunk-filter.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, CONTACTS_TYPE_CHUNK_FILTER, ContactsChunkFilter);
#line 26 "../src/contacts-chunk-filter.vala"
	_g_object_unref0 (self->priv->_property_filter);
#line 33 "../src/contacts-chunk-filter.vala"
	_g_object_unref0 (self->priv->empty_filter);
#line 36 "../src/contacts-chunk-filter.vala"
	_g_object_unref0 (self->priv->_persona_filter);
#line 24 "../src/contacts-chunk-filter.vala"
	G_OBJECT_CLASS (contacts_chunk_filter_parent_class)->finalize (obj);
#line 473 "contacts-chunk-filter.c"
}

/**
 * A custom GtkFilter to filter {@link Chunk}s for a consistent way of
 * displaying them.
 */
 G_GNUC_NO_INLINE static GType
contacts_chunk_filter_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (ContactsChunkFilterClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) contacts_chunk_filter_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (ContactsChunkFilter), 0, (GInstanceInitFunc) contacts_chunk_filter_instance_init, NULL };
	GType contacts_chunk_filter_type_id;
	contacts_chunk_filter_type_id = g_type_register_static (gtk_filter_get_type (), "ContactsChunkFilter", &g_define_type_info, 0);
	ContactsChunkFilter_private_offset = g_type_add_instance_private (contacts_chunk_filter_type_id, sizeof (ContactsChunkFilterPrivate));
	return contacts_chunk_filter_type_id;
}

GType
contacts_chunk_filter_get_type (void)
{
	static volatile gsize contacts_chunk_filter_type_id__once = 0;
	if (g_once_init_enter (&contacts_chunk_filter_type_id__once)) {
		GType contacts_chunk_filter_type_id;
		contacts_chunk_filter_type_id = contacts_chunk_filter_get_type_once ();
		g_once_init_leave (&contacts_chunk_filter_type_id__once, contacts_chunk_filter_type_id);
	}
	return contacts_chunk_filter_type_id__once;
}

static void
_vala_contacts_chunk_filter_get_property (GObject * object,
                                          guint property_id,
                                          GValue * value,
                                          GParamSpec * pspec)
{
	ContactsChunkFilter * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, CONTACTS_TYPE_CHUNK_FILTER, ContactsChunkFilter);
#line 24 "../src/contacts-chunk-filter.vala"
	switch (property_id) {
#line 24 "../src/contacts-chunk-filter.vala"
		case CONTACTS_CHUNK_FILTER_PROPERTY_FILTER_PROPERTY:
#line 24 "../src/contacts-chunk-filter.vala"
		g_value_set_object (value, contacts_chunk_filter_get_property_filter (self));
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 24 "../src/contacts-chunk-filter.vala"
		case CONTACTS_CHUNK_FILTER_ALLOW_EMPTY_PROPERTY:
#line 24 "../src/contacts-chunk-filter.vala"
		g_value_set_boolean (value, contacts_chunk_filter_get_allow_empty (self));
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 24 "../src/contacts-chunk-filter.vala"
		case CONTACTS_CHUNK_FILTER_PERSONA_FILTER_PROPERTY:
#line 24 "../src/contacts-chunk-filter.vala"
		g_value_set_object (value, contacts_chunk_filter_get_persona_filter (self));
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 530 "contacts-chunk-filter.c"
		default:
#line 24 "../src/contacts-chunk-filter.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 536 "contacts-chunk-filter.c"
	}
}

static void
_vala_contacts_chunk_filter_set_property (GObject * object,
                                          guint property_id,
                                          const GValue * value,
                                          GParamSpec * pspec)
{
	ContactsChunkFilter * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, CONTACTS_TYPE_CHUNK_FILTER, ContactsChunkFilter);
#line 24 "../src/contacts-chunk-filter.vala"
	switch (property_id) {
#line 24 "../src/contacts-chunk-filter.vala"
		case CONTACTS_CHUNK_FILTER_PROPERTY_FILTER_PROPERTY:
#line 24 "../src/contacts-chunk-filter.vala"
		contacts_chunk_filter_set_property_filter (self, g_value_get_object (value));
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 24 "../src/contacts-chunk-filter.vala"
		case CONTACTS_CHUNK_FILTER_ALLOW_EMPTY_PROPERTY:
#line 24 "../src/contacts-chunk-filter.vala"
		contacts_chunk_filter_set_allow_empty (self, g_value_get_boolean (value));
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 24 "../src/contacts-chunk-filter.vala"
		case CONTACTS_CHUNK_FILTER_PERSONA_FILTER_PROPERTY:
#line 24 "../src/contacts-chunk-filter.vala"
		contacts_chunk_filter_set_persona_filter (self, g_value_get_object (value));
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 568 "contacts-chunk-filter.c"
		default:
#line 24 "../src/contacts-chunk-filter.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 24 "../src/contacts-chunk-filter.vala"
		break;
#line 574 "contacts-chunk-filter.c"
	}
}

